package com.fs.qw.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 企微获客链接短链对象 qw_work_short_link
 *
 * @author fs
 * @date 2025-03-27
 */
@Data
public class QwWorkShortLink{

    /** id */
    @TableId(type = IdType.AUTO)
    private Long id;

    @Excel(name = "获客连接ID")
    private Long workLinkId;

    /** 短链编号 */
    @Excel(name = "短链编号")
    private String no;

    /** 短链地址 */
    @Excel(name = "短链地址")
    private String url;

    /** 短链地址 */
    @Excel(name = "短链地址")
    private String redirectUrl;

    /** 类型;0外呼加企微 */
    @Excel(name = "类型;0外呼加企微")
    private Integer type;


}
