package com.fs.qw.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class QwWorkTaskListVO {
    private Long id;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private Long extId;

    private String name;
    private String qwUserName;
    private String remark;
    private String description;
    /** 企微用户id */
    @Excel(name = "企微用户id")
    private Long qwUserId;

    /** 类别 1先导 2 课程 3 大小转 4 转人工 */
    @Excel(name = "类别 1先导 2 课程 3 大小转 4 转人工")
    private Integer type;

    /** 状态 0 待处理 1 已处理 3 过期 */
    @Excel(name = "状态 0 待处理 1 已处理 3 过期")
    private Integer status;
    private Integer trackType;

    /** 分值 */
    @Excel(name = "分值")
    private Integer score;

    /** sopid */
    @Excel(name = "sopid")
    private String sopId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long companyUserId;

    private String title;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private Integer lastWatchTime;

    List<Integer> logs;
}
