package com.fs.company.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import lombok.Data;
import com.fs.common.core.domain.BaseEntity;
import lombok.EqualsAndHashCode;

/**
 * 销售绑定用户(一个用户绑定唯一一个销售)对象 company_company_fsuser
 *
 * @author fs
 * @date 2025-04-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CompanyCompanyFsuser extends BaseEntity{

    /** $column.columnComment */
    private Long id;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 销售id */
    @Excel(name = "销售id")
    private Long companyUserId;

    /** 会员id */
    @Excel(name = "会员id")
    private Long userId;

    @Excel(name = "企微外部联系人id")
    private Long qwContactId;


    /** 状态 0:禁用 1:正常 */
    @Excel(name = "状态 0:禁用 1:正常")
    private Integer status;


}
