package com.fs.sop.params;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.lang.reflect.Array;
import java.time.LocalDate;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
public class SopUserLogsParamByDate {
    private String id;
    private String sopId;
    private String sopTempId;

    private String qwUserId;
    private String userId;
    private String corpId;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private String startTime;

    /**
     * 状态
     */
    private Integer status;

}
