package com.fs.watch.domain.vo;

import com.fs.common.annotation.Excel;
import com.fs.his.domain.FsUser;
import com.fs.watch.domain.WatchDeviceInfo;
import lombok.Data;

import java.util.List;

@Data
public class WatchDeviceInfoVo extends WatchDeviceInfo {
    /** 所属公司名字 */
    @Excel(name = "所属公司")
    private String  companyName;
    /** 所属员工名字 */
    @Excel(name = "所属员工")
    private String  companyUserName;
    /** 所属医生名字 */
    @Excel(name = "所属医生")
    private String  doctorName;
    /** 绑定用户名字 */
    @Excel(name = "绑定用户")
    private String  userName;
    /** 所属家人名字 */
    @Excel(name = "所属家人用户")
    private String  familyUserName;
    /** 设备状态输出   */
    @Excel(name = "设备状态")
    private String statusOut;
    /** 生命状态输出   */
    @Excel(name = "生命状态")
    private String lifeStatusOut;
    private String  location;

    private List<WatchLastHealthDataVo> lastHealthData;


    @Excel(name = "健康状态")
    private String isNormal;

    /**
     * 腕表用户名字
     */
    @Excel(name = "用户")
    private String watchUserName;

    private List<FsUser> users;
    private List<FsUser> familyUsers;
}
